#ifndef YAKMOUSE.H

#define YAKMOUSE.H

#include "icon.h"

class yakMouse
{
public:
  enum buttonType {noButtons = 0, leftButton = 0x01, rightButton = 0x02, reset = 0xff,
		   eitherButton = 0x03};
  void init(void);
  void remove(void);
  void show(void);
  void hide(void);
  void beStandardMouse(void);
  void setImage(char * mouseDef, int color);
  word x(void);
  word y(void);
//  word numberOfButtons(void);
  void display(int x, int y, int topclip, int botclip, word offset);
  word buttonStatus(void);
  byte isPressed(buttonType myButtons);
  byte isClicked(buttonType myButtons);
  byte isInBox(int x1, int y1, int x2, int y2);
};

#ifndef YAKMOUSEUNIT
extern yakMouse mouse;
#endif

#endif